HE to Jessie upgrade

Important informations about SolydXK including releases notes, forum rules and other anouncements
User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

HE to Jessie upgrade

Postby Schoelje » 30 Nov 2014 12:41

This topic describes the steps that are needed if users decide to upgrade their HE systems to Jessie.

At the end of the process (see Post-install section at the bottom) the user can convert his/her account to the new QtCurve/Evolvere theme. This is optional.

Note: if you use the Update Manager to upgrade, the sources.list will have changed after the pre-upgrade script has run and points to Debian Jessie. You do not have to follow the below steps.

On SolydX it sometimes happened that the Update Manager hang after upgrading itself.
I had to close the window and run these commands:

Code: Select all

sudo killall python3; updatemanager
If you get an error while upgrading, first open up a terminal and run:

Code: Select all

sudo apt-get -f install


/etc/apt/sources.list:

Code: Select all

deb http://repository.solydxk.com/ solydxk main upstream import
deb http://ftp.debian.org/debian jessie main contrib non-free
deb http://security.debian.org/ jessie/updates main contrib non-free
deb http://ftp.debian.org/debian/ jessie-backports main contrib non-free


SolydK to Jessie
Refresh apt cache:

Code: Select all

sudo apt-get update

Pre-upgrade:

Code: Select all

sudo apt-get install plymouth-themes libjpeg-turbo-progs libjpeg62-turbo

Upgrade:

Code: Select all

sudo apt-get dist-upgrade


SolydX to Jessie
Refresh apt cache:

Code: Select all

sudo apt-get update

Pre-upgrade:

Code: Select all

sudo apt-get install plymouth-themes libjpeg-turbo-progs libjpeg62-turbo

Upgrade:

Code: Select all

sudo apt-get dist-upgrade


Post-install
Make sure the Update Manager recognizes that you are fully upgraded:

Code: Select all

sudo /bin/bash -c 'echo "upd=2015.01.31" > /usr/lib/solydxk/updatemanager/files/updatemanager.hist'

If you have Nvidia drivers installed:

Code: Select all

apt-get install --reinstall nvidia-kernel-dkms

If you want the new theme with QtCurve/Evolvere:

Code: Select all

configure-theme
and logout/login as proposed.

You can also do this for root:

Code: Select all

sudo configure-theme

If you're unable to shut down or reboot from the menu:

Code: Select all

sudo reboot


SolydXK needs you!
Development | Testing | Translations | Todo list

RavenLX

Re: HE to Jessie upgrade

Postby RavenLX » 01 Dec 2014 14:55

Would be nice to know when we should do these steps. Unfortunately, nobody knows exactly when Jessie will go stable. :? So for now we leave things as-is, right?

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: HE to Jessie upgrade

Postby Schoelje » 01 Dec 2014 16:17

RavenLX wrote:Would be nice to know when we should do these steps. Unfortunately, nobody knows exactly when Jessie will go stable. :? So for now we leave things as-is, right?
Only try this out if you want to test it. Preferably in VB.


SolydXK needs you!
Development | Testing | Translations | Todo list

RavenLX

Re: HE to Jessie upgrade

Postby RavenLX » 01 Dec 2014 21:22

Tried it according to your instructions. Got a lot of errors and the process wouldn't finish. Here's what I got (as far back as the terminal's default history allows):

Code: Select all

Setting up libktnef4 (4:4.14.2-2) ...
Setting up libkimap4 (4:4.14.2-2) ...
Setting up kdepimlibs-kio-plugins (4:4.14.2-2) ...
Setting up libakonadi-notes4 (4:4.14.2-2) ...
Setting up libkholidays4 (4:4.14.2-2) ...
Setting up libkmbox4 (4:4.14.2-2) ...
Setting up libqgpgme1 (4:4.14.2-2) ...
Setting up samba-common (2:4.1.13+dfsg-2) ...
Setting up libhdb9-heimdal:amd64 (1.6~rc2+dfsg-8+b1) ...
Setting up python-crypto (2.6.1-5+b2) ...
Setting up python-samba (2:4.1.13+dfsg-2) ...
Setting up samba-common-bin (2:4.1.13+dfsg-2) ...
Setting up samba-dsdb-modules (2:4.1.13+dfsg-2) ...
Setting up tdb-tools (1.3.1-1) ...
update-alternatives: using /usr/bin/tdbbackup.tdbtools to provide /usr/bin/tdbbackup (tdbbackup) in auto mode
Setting up libkdc2-heimdal:amd64 (1.6~rc2+dfsg-8+b1) ...
Setting up samba (2:4.1.13+dfsg-2) ...
Setting up winbind (2:4.1.13+dfsg-2) ...
Setting up libnss-winbind:amd64 (2:4.1.13+dfsg-2) ...
Setting up libpam-winbind:amd64 (2:4.1.13+dfsg-2) ...
Setting up smbclient (2:4.1.13+dfsg-2) ...
Setting up libaio1:amd64 (0.3.110-1) ...
Setting up samba-vfs-modules (2:4.1.13+dfsg-2) ...
Setting up libkdecorations4abi2 (4:4.11.13-2) ...
Setting up libkwineffects1abi5 (4:4.11.13-2) ...
Setting up libkwinglesutils1 (4:4.11.13-2) ...
Setting up libkwinglutils1abi2 (4:4.11.13-2) ...
Setting up libkworkspace4abi2 (4:4.11.13-2) ...
Setting up libxcb-damage0:amd64 (1.10-3+b1) ...
Setting up libxcb-image0:amd64 (0.4.0-1) ...
Setting up libxcb-xtest0:amd64 (1.10-3+b1) ...
Setting up libakonadi-kabc4 (4:4.14.2-2) ...
Setting up libksgrd4 (4:4.11.13-2) ...
Setting up libplasma-geolocation-interface4 (4:4.11.13-2) ...
Setting up libsyndication4 (4:4.14.2-2) ...
Setting up libprocesscore4abi1 (4:4.11.13-2) ...
Setting up libtaskmanager4abi4 (4:4.11.13-2) ...
Setting up libweather-ion6 (4:4.11.13-2) ...
Setting up libplasmaclock4abi4 (4:4.11.13-2) ...
Setting up libkephal4abi1 (4:4.11.13-2) ...
Setting up libplasmagenericshell4 (4:4.11.13-2) ...
Setting up kde-workspace-data (4:4.11.13-2) ...
Setting up kde-workspace-kgreet-plugins (4:4.11.13-2) ...
Setting up cpp (4:4.9.1-5) ...
Setting up x11-xserver-utils (7.7+3+b1) ...
Setting up libcln6 (1.3.4-1) ...
Setting up libkscreensaver5 (4:4.11.13-2) ...
Setting up libprocessui4a (4:4.11.13-2) ...
Setting up ksysguardd (4:4.11.13-2) ...
Setting up libksignalplotter4 (4:4.11.13-2) ...
Setting up libnewt0.52:amd64 (0.52.17-1+b1) ...
Setting up libpipeline1:amd64 (1.4.0-1) ...
Setting up libsigc++-2.0-0c2a:amd64 (2.4.0-1) ...
Setting up man-db (2.7.0.2-3) ...
Installing new version of config file /etc/cron.daily/man-db ...
Building database of manual pages ...
Setting up libasprintf0c2:amd64 (0.19.3-1) ...
Setting up libasprintf-dev:amd64 (0.19.3-1) ...
Setting up libcwidget3:amd64 (0.5.17-2) ...
Setting up libgc1c2:amd64 (1:7.2d-6.4) ...
Setting up libfl-dev:amd64 (2.5.39-8+b1) ...
Setting up flex (2.5.39-8+b1) ...
Setting up fonts-droid (1:4.4.4r2-4) ...
Setting up gtk2-engines-oxygen:amd64 (1.4.6-1) ...
Setting up i965-va-driver:amd64 (1.4.1-2) ...
Setting up libfftw3-double3:amd64 (3.3.4-2) ...
Setting up imagemagick-common (8:6.8.9.9-3) ...
Installing new version of config file /etc/ImageMagick-6/delegates.xml ...
Setting up libmagickcore-6.q16-2:amd64 (8:6.8.9.9-3) ...
Setting up libmagickwand-6.q16-2:amd64 (8:6.8.9.9-3) ...
Setting up libarchive13:amd64 (3.1.2-10) ...
Setting up gcc-4.8-base:amd64 (4.8.3-13) ...
Setting up gcc-4.8-base:i386 (4.8.3-13) ...
Setting up libasan0:amd64 (4.8.3-13) ...
Setting up cpp-4.8 (4.8.3-13) ...
Setting up libgcc-4.8-dev:amd64 (4.8.3-13) ...
Setting up gcc-4.8 (4.8.3-13) ...
Setting up libstdc++-4.8-dev:amd64 (4.8.3-13) ...
Setting up g++-4.8 (4.8.3-13) ...
Setting up libatk-wrapper-java (0.30.5-1) ...
Setting up libatk-wrapper-java-jni:amd64 (0.30.5-1) ...
Setting up libaudiofile1:amd64 (0.3.6-2+b1) ...
Setting up libbluedevil2:amd64 (2.0~rc1-6-g7bb223c-2) ...
Setting up libcolorhug2:amd64 (1.2.1-1+b1) ...
Setting up libdevmapper-event1.02.1:amd64 (2:1.02.90-2) ...
Setting up libdirac-decoder0:amd64 (1.0.2-7.1) ...
Setting up libdirac-encoder0:amd64 (1.0.2-7.1) ...
Setting up libdjvulibre21:amd64 (3.5.25.4-4+b1) ...
Setting up libisc-export95 (1:9.9.5.dfsg-5) ...
Setting up libdns-export100 (1:9.9.5.dfsg-5) ...
Setting up libenca0:amd64 (1.16-1) ...
Setting up libflac++6:amd64 (1.3.0-3) ...
Setting up libfs6:amd64 (2:1.0.6-1+b1) ...
Setting up libgadu3 (1:1.12.0-5) ...
Setting up libgck-1-0:amd64 (3.14.0-2) ...
Setting up libgcr-3-common (3.14.0-2) ...
Setting up libgcr-base-3-1:amd64 (3.14.0-2) ...
Setting up libgd3:amd64 (2.1.0-4.1+b1) ...
Setting up libgd3:i386 (2.1.0-4.1+b1) ...
Setting up libgee-0.8-2:amd64 (0.16.1-1) ...
Setting up libgegl-0.2-0:amd64 (0.2.0-7+b1) ...
Setting up libgettextpo0:amd64 (0.19.3-1) ...
Setting up libgettextpo-dev:amd64 (0.19.3-1) ...
Setting up libgirepository-1.0-1:amd64 (1.42.0-2.2) ...
Setting up gir1.2-glib-2.0:amd64 (1.42.0-2.2) ...
Setting up gir1.2-freedesktop:amd64 (1.42.0-2.2) ...
Setting up libgnome-keyring0:amd64 (3.12.0-1+b1) ...
Setting up gir1.2-gnomekeyring-1.0 (3.12.0-1+b1) ...
Setting up libgphoto2-port10:amd64 (2.5.4-1.1+b2) ...
Setting up libgphoto2-port10:i386 (2.5.4-1.1+b2) ...
Setting up libgupnp-igd-1.0-4:amd64 (0.2.4-1) ...
Setting up libhdf5-8:amd64 (1.8.13+docs-15) ...
Setting up libidl0:amd64 (0.8.14-0.4+b1) ...
Setting up libisccfg-export90 (1:9.9.5.dfsg-5) ...
Setting up libirs-export91 (1:9.9.5.dfsg-5) ...
Setting up libwebkitgtk-1.0-common (2.4.7-2) ...
Setting up libjavascriptcoregtk-1.0-0:amd64 (2.4.7-2) ...
Setting up libwebkitgtk-1.0-0:amd64 (2.4.7-2) ...
Setting up libwebkitgtk-3.0-common (2.4.7-2) ...
Setting up libjavascriptcoregtk-3.0-0:amd64 (2.4.7-2) ...
Setting up libjpeg8:amd64 (8d1-2) ...
Setting up libjpeg8:i386 (8d1-2) ...
Setting up libksba8:amd64 (1.3.2-1) ...
Setting up liblightdm-gobject-1-0 (1.10.3-3) ...
Setting up libllvm3.4:amd64 (1:3.4.2-13) ...
Setting up libllvm3.4:i386 (1:3.4.2-13) ...
Setting up liblvm2app2.2:amd64 (2.02.111-2) ...
Setting up libmagick++-6.q16-5:amd64 (8:6.8.9.9-3) ...
Setting up libmspack0:amd64 (0.4-1) ...
Setting up libmusicbrainz5-1:amd64 (5.1.0-2) ...
Setting up libndp0:amd64 (1.4-2) ...
Setting up libnm-util2:amd64 (0.9.10.0-3) ...
Setting up libnm-glib-vpn1:amd64 (0.9.10.0-3) ...
Setting up libnm-glib4:amd64 (0.9.10.0-3) ...
Setting up libnuma1:amd64 (2.0.10-1) ...
Setting up libopenconnect3:amd64 (6.00-1+b1) ...
Setting up libopencv-core2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-flann2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-imgproc2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-highgui2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-features2d2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-calib3d2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-ml2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-video2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-legacy2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-objdetect2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-contrib2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libopencv-photo2.4:amd64 (2.4.9.1+dfsg-1+b1) ...
Setting up libpcap0.8:amd64 (1.6.2-2) ...
Setting up libpoppler-glib8:amd64 (0.26.5-2) ...
Setting up libpoppler-qt4-4:amd64 (0.26.5-2) ...
Setting up libraw10:amd64 (0.16.0-9+b1) ...
Setting up libsane-common (1.0.24-4) ...
Installing new version of config file /etc/sane.d/genesys.conf ...
Setting up libsane:amd64 (1.0.24-4) ...
Setting up libshp2:amd64 (1.3.0-4) ...
Setting up libsystemd-daemon0:amd64 (215-6) ...
Setting up libsystemd-id128-0:amd64 (215-6) ...
Setting up libsystemd-id128-0:i386 (215-6) ...
Setting up libsystemd-journal0:amd64 (215-6) ...
Setting up libsystemd-journal0:i386 (215-6) ...
Setting up libsystemd-login0:amd64 (215-6) ...
Setting up libtcl8.5:amd64 (8.5.17-1) ...
Setting up libtorrent-rasterbar7 (0.16.18-1) ...
Setting up python-libtorrent (0.16.18-1) ...
Setting up libturbojpeg1:amd64 (1:1.3.1-10) ...
Setting up libvdpau1:amd64 (0.8-3) ...
Setting up libvncserver0:amd64 (0.9.9+dfsg-6+b2) ...
Setting up libwine:amd64 (1.6.2-16) ...
Setting up libwine:i386 (1.6.2-16) ...
Setting up wine64 (1.6.2-16) ...
Setting up wine32 (1.6.2-16) ...
Setting up wine (1.6.2-16) ...
Setting up libwine-bin (1.6.2-16) ...
Setting up libwmf0.2-7:amd64 (0.2.8.4-10.3+b2) ...
Setting up libwxbase3.0-0:amd64 (3.0.2-1+b1) ...
Setting up libwxgtk3.0-0:amd64 (3.0.2-1+b1) ...
Setting up libxatracker2:amd64 (10.3.2-1) ...
Setting up libxvmc1:amd64 (2:1.0.8-2+b1) ...
Setting up libxxf86dga1:amd64 (2:1.1.4-1+b1) ...
Setting up libyaml-0-2:amd64 (0.1.6-3) ...
Setting up ntfs-3g (1:2014.2.15AR.2-1) ...
update-initramfs: deferring update (trigger activated)
Setting up netbase (5.3) ...
Installing new version of config file /etc/services ...
Setting up ntpdate (1:4.2.6.p5+dfsg-3.1+b1) ...
Setting up openjdk-7-jre-headless:amd64 (7u71-2.5.3-2) ...
Installing new version of config file /etc/java-7-openjdk/fontconfig.properties ...
update-binfmts: warning: current package is openjdk-7, but binary format already installed by sun-java6
Setting up openjdk-7-jre:amd64 (7u71-2.5.3-2) ...
Setting up sysvinit (2.88dsf-58) ...
Setting up uuid-runtime (2.25.2-3) ...
Setting up virtualbox-guest-utils (4.3.18-dfsg-1) ...
Setting up virtualbox-guest-x11 (4.3.18-dfsg-1) ...
Installing new version of config file /etc/X11/Xsession.d/98vboxadd-xclient ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up gcc (4:4.9.1-5) ...
Setting up dkms (2.2.0.3-2) ...
Setting up virtualbox-guest-dkms (4.3.18-dfsg-1) ...
Loading new virtualbox-guest-4.3.18 DKMS files...
Building only for 3.16.0-4-amd64
Building initial module for 3.16.0-4-amd64
Done.

vboxguest:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.16.0-4-amd64/updates/

vboxsf.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.16.0-4-amd64/updates/

vboxvideo.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.16.0-4-amd64/updates/

depmod....

DKMS: install completed.
Setting up libbrlapi0.6:amd64 (5.2~20141018-2) ...
Setting up libpgf6:amd64 (6.14.12-3) ...
Setting up libtommath0 (0.42.0-1.1) ...
Setting up libtomcrypt0:amd64 (1.17-6) ...
Setting up libwebpdemux1:amd64 (0.4.1-1.2+b2) ...
Setting up libwebpmux1:amd64 (0.4.1-1.2+b2) ...
Setting up libzthread-2.3-2:amd64 (2.3.2-7.2) ...
Setting up opensc-pkcs11:amd64 (0.14.0-1+b1) ...
Setting up opensc (0.14.0-1+b1) ...
Setting up xawtv-plugins (3.103-3+b1) ...
Setting up apt-utils (1.0.9.3) ...
Setting up cpio (2.11+dfsg-2+b1) ...
Setting up libxtables10 (1.4.21-2+b1) ...
Setting up iptables (1.4.21-2+b1) ...
Setting up iputils-ping (3:20121221-5+b2) ...
Setcap worked! Ping(6) is not suid!
Setting up isc-dhcp-common (4.3.1-5) ...
Setting up isc-dhcp-client (4.3.1-5) ...
Installing new version of config file /etc/dhcp/dhclient-enter-hooks.d/debug ...
Installing new version of config file /etc/dhcp/dhclient-exit-hooks.d/debug ...
Setting up anacron (2.3-22) ...
Setting up logrotate (3.8.7-1+b1) ...
Setting up manpages (3.74-1) ...
Setting up net-tools (1.60-26+b1) ...
Setting up traceroute (1:2.0.20-2+b1) ...
update-alternatives: using /usr/bin/traceroute.db to provide /usr/bin/traceroute (traceroute) in auto mode
update-alternatives: using /usr/bin/traceroute6.db to provide /usr/bin/traceroute6 (traceroute6) in auto mode
update-alternatives: using /usr/bin/lft.db to provide /usr/bin/lft (lft) in auto mode
update-alternatives: using /usr/bin/traceproto.db to provide /usr/bin/traceproto (traceproto) in auto mode
Setting up vim-common (2:7.4.488-2) ...
Setting up whiptail (0.52.17-1+b1) ...
Setting up debconf-i18n (1.5.54) ...
Setting up aptitude (0.6.11-1+b1) ...
Setting up at (3.1.16-1) ...
Setting up exim4-config (4.84-3) ...
grep: /etc/inetd.conf: No such file or directory
Setting up gettext-base (0.19.3-1) ...
Setting up info (5.2.0.dfsg.1-5) ...
Setting up locales (2.19-13) ...
Generating locales (this might take a while)...
  en_US.UTF-8... done
Generation complete.
Setting up openssh-client (1:6.7p1-3) ...
Setting up openssh-sftp-server (1:6.7p1-3) ...
Setting up openssh-server (1:6.7p1-3) ...
Installing new version of config file /etc/network/if-up.d/openssh-server ...
Setting up python-apt (0.9.3.11) ...
Setting up w3m (0.5.3-19) ...
Installing new version of config file /etc/w3m/config ...
Setting up whois (5.2.2) ...
Setting up acpid (1:2.0.23-2) ...
Setting up acpi-support-base (0.142-6) ...
Installing new version of config file /etc/acpi/powerbtn-acpi-support.sh ...
Setting up libkonq5-templates (4:4.14.2-1) ...
Setting up libkonq-common (4:4.14.2-1) ...
Setting up libkonq5abi1 (4:4.14.2-1) ...
Setting up aspell-en (7.1-0-1.1) ...
Setting up at-spi2-core (2.14.0-1) ...
Setting up gettext (0.19.3-1) ...
Setting up autopoint (0.19.3-1) ...
Setting up obexd-client (0.48-2.1) ...
Setting up bogofilter-bdb (1.2.4+dfsg1-3+b1) ...
Setting up btrfs-tools (3.17-1.1) ...
update-initramfs: deferring update (trigger activated)
Setting up cabextract (1.4-4+b1) ...
Setting up clamav-base (0.98.5+dfsg-1) ...
Setting up libclamav6 (0.98.5+dfsg-1) ...
Setting up clamav-freshclam (0.98.5+dfsg-1) ...
Setting up clamav (0.98.5+dfsg-1) ...
Setting up colord (1.2.1-1+b1) ...
Setting up cryptsetup-bin (2:1.6.6-3) ...
Setting up cryptsetup (2:1.6.6-3) ...
update-initramfs: deferring update (trigger activated)
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up libpaper-utils (1.1.24+nmu4) ...
Setting up debconf-utils (1.5.54) ...
Setting up dialog (1.2-20140911-1) ...
Setting up libkexiv2-data (4:4.14.2-1) ...
Setting up libkexiv2-11 (4:4.14.2-1) ...
Setting up marble-data (4:4.14.2-1) ...
Setting up libastro1 (4:4.14.2-1) ...
Setting up libmarblewidget19 (4:4.14.2-1) ...
Setting up digikam-private-libs (4:4.4.0-1.1) ...
Setting up kipi-plugins-common (4:4.4.0-1.1) ...
Setting up digikam-data (4:4.4.0-1.1) ...
Setting up marble-plugins (4:4.14.2-1) ...
Setting up dirmngr (1.1.1-4) ...
Setting up dns-root-data (2014060201+2) ...
Setting up dnsmasq-base (2.72-2) ...
Setting up dosfstools (3.0.27-1) ...
Setting up dselect (1.17.21) ...
Setting up evolution-data-server-common (3.12.7.1-2) ...
Setting up syslinux (3:6.03+dfsg-2) ...
Setting up syslinux-common (3:6.03+dfsg-2) ...
Setting up extlinux (3:6.03+dfsg-2) ...
Setting up libfakeroot:amd64 (1.20.2-1) ...
Setting up fakeroot (1.20.2-1) ...
Setting up ffmpegthumbnailer (2.0.8-2+b4) ...
Setting up firefox (33.1.1) ...
Setting up flac (1.3.0-3) ...
Setting up fonts-lyx (2.1.2-2) ...
Setting up freespacenotifier (4:4.11.13-2) ...
Setting up g++ (4:4.9.1-5) ...
Setting up gdb (7.7.1+dfsg-5) ...
Setting up gdbserver (7.7.1+dfsg-5) ...
Setting up geoclue-2.0 (2.1.10-2) ...
Installing new version of config file /etc/dbus-1/system.d/org.freedesktop.GeoClue2.conf ...
Installing new version of config file /etc/geoclue/geoclue.conf ...
Setting up libgimp2.0 (2.8.14-1+b1) ...
Setting up gir1.2-atk-1.0 (2.14.0-1) ...
Setting up gir1.2-gdkpixbuf-2.0 (2.31.1-2+b1) ...
Setting up gir1.2-pango-1.0:amd64 (1.36.8-2) ...
Setting up gir1.2-javascriptcoregtk-3.0:amd64 (2.4.7-2) ...
Setting up gir1.2-packagekitglib-1.0 (1.0.1-1) ...
Setting up gir1.2-polkit-1.0 (0.105-7) ...
Setting up gksu (2.0.2-7) ...
Setting up gnupg-agent (2.0.26-3) ...
Setting up gnupg2 (2.0.26-3) ...
Setting up scdaemon (2.0.26-3) ...
Setting up gpgsm (2.0.26-3) ...
Setting up grub-common (2.02~beta2-15) ...
Installing new version of config file /etc/grub.d/20_linux_xen ...
Installing new version of config file /etc/grub.d/00_header ...
Installing new version of config file /etc/grub.d/30_uefi-firmware ...
Installing new version of config file /etc/grub.d/10_linux ...
Installing new version of config file /etc/grub.d/30_os-prober ...
Installing new version of config file /etc/grub.d/05_debian_theme ...
Installing new version of config file /etc/bash_completion.d/grub ...
Setting up grub2-common (2.02~beta2-15) ...
Setting up grub-pc-bin (2.02~beta2-15) ...
Setting up grub-pc (2.02~beta2-15) ...
Installing for i386-pc platform.
Installation finished. No error reported.
Generating grub configuration file ...
Found background image: grubbg.png
Found linux image: /boot/vmlinuz-3.16.0-4-amd64
Found initrd image: /boot/initrd.img-3.16.0-4-amd64
Found linux image: /boot/vmlinuz-3.16-2-amd64
Found initrd image: /boot/initrd.img-3.16-2-amd64
done
Setting up gstreamer0.10-gconf:amd64 (0.10.31-3+nmu4+b1) ...
Setting up gstreamer0.10-pulseaudio:amd64 (0.10.31-3+nmu4+b1) ...
Setting up gstreamer0.10-tools (0.10.36-1.5) ...
Setting up gstreamer1.0-x:amd64 (1.4.4-2) ...
Setting up guile-1.8-libs (1.8.8+1-10) ...
Setting up hugin-data (2014.0.0+dfsg-3) ...
Setting up hugin-tools (2014.0.0+dfsg-3) ...
Setting up imagemagick-6.q16 (8:6.8.9.9-3) ...
Setting up iucode-tool (1.1.1-1) ...
Setting up iw (3.17-1) ...
Setting up libkcddb4 (4:4.14.2-1+b1) ...
Setting up libk3b6 (2.0.2-8) ...
Setting up k3b-data (2.0.2-8) ...
Setting up kamera (4:4.14.2-1) ...
Setting up kde-baseapps-data (4:4.14.2-1) ...
Setting up keyutils (1.5.9-5+b1) ...
Setting up libklibc (2.0.4-2) ...
Setting up klibc-utils (2.0.4-2) ...
Setting up xscreensaver-gl (5.30-1+b1) ...
Installing new version of config file /etc/X11/app-defaults/XScreenSaver-gl ...
Setting up xscreensaver-data (5.30-1+b1) ...
Installing new version of config file /etc/X11/app-defaults/XScreenSaver-nogl ...
Setting up libgle3 (3.1.0-7.1) ...
Setting up libbaloopim4 (4:4.14.2-1) ...
Setting up libbalooqueryparser4 (4:4.14.2-1) ...
Setting up libept1.4.12:amd64 (1.0.12.1) ...
Setting up libgtop2-7 (2.28.5-2+b1) ...
Setting up libhpmud0 (3.14.6-1+b2) ...
Setting up printer-driver-hpijs (3.14.6-1+b2) ...
Setting up libjs-underscore (1.7.0~dfsg-1) ...
Setting up libk3b6-extracodecs (2.0.2-8) ...
Setting up libkolabxml1 (1.0.2-2) ...
Setting up libkontactinterface4a (4:4.14.2-2) ...
Setting up libofa0 (0.9.3-7) ...
Setting up libotr5 (4.1.0-2) ...
Setting up libpam-gnome-keyring (3.14.0-1+b1) ...
Setting up libpano13-bin (2.9.19+dfsg-1+b2) ...
Setting up libportmidi0 (1:184-2.2) ...
Setting up libqmobipocket1 (4:4.14.2-1) ...
Setting up libreoffice-help-en-us (1:4.3.3-1) ...
Setting up libsexy2 (0.1.11-2.1) ...
Setting up libsgutils2-2 (1.39-1) ...
Setting up libsrtp0 (1.4.5~20130609~dfsg-1.1) ...
Setting up libtar0 (1.2.20-4+b1) ...
Setting up libvigraimpex4 (1.9.0+dfsg-10+b2) ...
Setting up t1utils (1.38-1) ...
Setting up lsb-release (4.1+Debian13+nmu1) ...
Setting up manpages-dev (3.74-1) ...
Setting up media-player-info (22-2) ...
Setting up mysql-server-core-5.5 (5.5.40-1) ...
Setting up network-manager (0.9.10.0-3) ...
Setting up ppp (2.4.6-3) ...
Setting up nvidia-detect (340.46-5) ...
Setting up nvidia-installer-cleanup (20131102+2) ...
Setting up openvpn (2.3.4-4) ...
Installing new version of config file /etc/default/openvpn ...
[ ok ] Restarting virtual private network daemon.:.
Setting up pidgin-data (2.10.10-1.1) ...
Setting up plasma-dataengines-addons (4:4.14.2-1) ...
Setting up plasma-scriptengine-python (4:4.11.13-2) ...
Setting up plasma-widget-folderview (4:4.14.2-1) ...
Setting up python-chardet (2.3.0-1) ...
Setting up python-cryptography (0.6.1-1) ...
Setting up python-pycurl (7.19.5-3) ...
Setting up python-cupshelpers (1.4.6-1) ...
Setting up system-config-printer-udev (1.4.6-1) ...
Setting up python-debian (0.1.25) ...
Setting up python-egenix-mxtools (3.2.8-1) ...
Setting up python-egenix-mxdatetime (3.2.8-1) ...
Setting up python-feedparser (5.1.3-3) ...
Setting up python-gconf (2.28.1+dfsg-1.1) ...
Setting up python-gnome2 (2.28.1+dfsg-1.1) ...
Setting up python-gdbm (2.7.8-2+b1) ...
Setting up python-httplib2 (0.9+dfsg-2) ...
Setting up python-pil:amd64 (2.6.1-1+b1) ...
Setting up python-imaging (2.6.1-1) ...
Setting up python-mako (1.0.0+dfsg-0.1) ...
Setting up python-notify (0.1.1-4) ...
Setting up python-opencv (2.4.9.1+dfsg-1+b1) ...
Setting up python-parted (3.10.0-1.1) ...
Setting up python-ply (3.4-5) ...
Setting up python-pygame (1.9.1release+dfsg-10+b1) ...
Setting up python-pyparsing (2.0.3+dfsg1-1) ...
Setting up python-serial (2.6-1.1) ...
Setting up python-simplejson (3.6.5-1) ...
Setting up python-sip (4.16.4+dfsg-1) ...
Setting up python-twisted-bin (14.0.2-2) ...
Setting up python-zope.interface (4.1.1-3) ...
Setting up python-twisted-core (14.0.2-2) ...
Setting up python-twisted-web (14.0.2-2) ...
Setting up python-twisted-lore (14.0.2-2) ...
Setting up python-twisted-mail (14.0.2-2) ...
Setting up python-twisted-names (14.0.2-2) ...
Setting up python-twisted-news (14.0.2-2) ...
Setting up python-twisted-runner (14.0.2-2) ...
Setting up python-twisted-words (14.0.2-2) ...
Setting up python-wxversion (3.0.1.1+dfsg-2) ...
Setting up python-wxgtk3.0 (3.0.1.1+dfsg-2) ...
update-alternatives: using /usr/lib/wx/python/wx3.0.pth to provide /usr/lib/wx/python/wx.pth (wx.pth) in auto mode
Setting up python-xapian (1.2.19-1) ...
Setting up qpdf (5.1.2-2) ...
Setting up rdesktop (1.8.2-3) ...
Setting up rsync (3.1.1-2+b1) ...
Setting up rtkit (0.11-2) ...
Setting up libruby2.1:amd64 (2.1.4-1) ...
Setting up ruby2.1 (2.1.4-1) ...
Setting up ruby-locale (2.1.0-3) ...
Setting up ruby-text (1.3.0-1) ...
Setting up ruby-xmlparser (0.7.2-3+b3) ...
Setting up sane-utils (1.0.24-4) ...
Installing new version of config file /etc/init.d/saned ...
Setting up solydxk-flashplugin-11 (11.2.202.424) ...
update-alternatives: warning: /etc/alternatives/libflashplayer.so is dangling; it will be updated with best choice
update-alternatives: using /opt/solydxk-flashplugin/libflashplayer.so to provide /usr/lib/mozilla/plugins/libflashplayer.so (libflashplayer.so) in auto mode
Setting up solydxk-system (2.0.0) ...
Installing new version of config file /etc/apt/apt.conf.d/80solydxk-apt ...
snd-hda-intel model already set
pcspkr already blacklisted
insserv: warning: current start runlevel(s) (empty) of script `solydxk-system' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (S) of script `solydxk-system' overrides LSB defaults (empty).
Setting up tcl8.5 (8.5.17-1) ...
Setting up ttf-mscorefonts-installer (3.6) ...
Setting up ufraw-batch (0.20-1) ...
Setting up unetbootin (608-1) ...
Setting up unetbootin-translations (608-1) ...
Setting up unzip (6.0-12+b1) ...
Setting up usbmuxd (1.0.8+git20140527.e72f2f7-2) ...
Setting up va-driver-all:amd64 (1.4.1-1) ...
Setting up vlc-plugin-samba (2.2.0~rc2-1) ...
Setting up vorbis-tools (1.4.0-5) ...
Setting up wireless-regdb (2014.10.07-1) ...
Setting up x11-apps (7.7+4) ...
Setting up xnest (2:1.16.1.901-1) ...
Setting up xserver-xorg-input-mouse (1:1.9.1-1) ...
Setting up xserver-xorg-input-wacom (0.26.0+20140918-1) ...
Setting up xserver-xorg-video-mach64 (6.9.4-2) ...
Setting up xserver-xorg-video-radeon (1:7.5.0-1) ...
Setting up xserver-xorg-video-ati (1:7.5.0-1) ...
Setting up xterm (312-1) ...
Setting up cups-pk-helper (0.2.5-2+b1) ...
Setting up intel-microcode (3.20140913.1) ...
Installing new version of config file /etc/kernel/preinst.d/intel-microcode ...
Installing new version of config file /etc/default/intel-microcode ...
update-initramfs: deferring update (trigger activated)
intel-microcode: microcode will be updated at next boot
Setting up libbs2b0 (3.1.0+dfsg-2.1) ...
Setting up libtasn1-bin (4.2-2) ...
Setting up mplayer2 (2.0-728-g2c378c7-4+b1) ...
Setting up os-prober (1.65) ...
Setting up python-aptdaemon (1.1.1-4) ...
Setting up python-brlapi (5.2~20141018-2) ...
Setting up python-twisted-conch (1:14.0.2-2) ...
Setting up python-twisted (14.0.2-2) ...
Setting up glx-diversions (0.5.1) ...
Leaving 'diversion of /usr/lib/libGL.so to /usr/lib/mesa-diverted/libGL.so by glx-diversions'
Leaving 'diversion of /usr/lib/i386-linux-gnu/libGL.so to /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so by glx-diversions'
Leaving 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so by glx-diversions'
Leaving 'diversion of /usr/lib/arm-linux-gnueabihf/libGL.so to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGL.so by glx-diversions'
Leaving 'diversion of /usr/lib/libGL.so.1 to /usr/lib/mesa-diverted/libGL.so.1 by glx-diversions'
Leaving 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1 to /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so.1 by glx-diversions'
Leaving 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so.1 by glx-diversions'
Leaving 'diversion of /usr/lib/arm-linux-gnueabihf/libGL.so.1 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGL.so.1 by glx-diversions'
Leaving 'diversion of /usr/lib/libGL.so.1.2 to /usr/lib/mesa-diverted/libGL.so.1.2 by glx-diversions'
Leaving 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1.2 to /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so.1.2 by glx-diversions'
Leaving 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1.2 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so.1.2 by glx-diversions'
Leaving 'diversion of /usr/lib/arm-linux-gnueabihf/libGL.so.1.2 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGL.so.1.2 by glx-diversions'
Leaving 'diversion of /usr/lib/libGL.so.1.2.0 to /usr/lib/mesa-diverted/libGL.so.1.2.0 by glx-diversions'
Leaving 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1.2.0 to /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so.1.2.0 by glx-diversions'
Leaving 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1.2.0 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so.1.2.0 by glx-diversions'
Leaving 'diversion of /usr/lib/arm-linux-gnueabihf/libGL.so.1.2.0 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGL.so.1.2.0 by glx-diversions'
Adding 'diversion of /usr/lib/libEGL.so to /usr/lib/mesa-diverted/libEGL.so by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libEGL.so to /usr/lib/mesa-diverted/i386-linux-gnu/libEGL.so by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libEGL.so to /usr/lib/mesa-diverted/x86_64-linux-gnu/libEGL.so by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libEGL.so to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libEGL.so by glx-diversions'
Adding 'diversion of /usr/lib/libEGL.so.1 to /usr/lib/mesa-diverted/libEGL.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libEGL.so.1 to /usr/lib/mesa-diverted/i386-linux-gnu/libEGL.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libEGL.so.1 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libEGL.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libEGL.so.1 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libEGL.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/libEGL.so.1.0.0 to /usr/lib/mesa-diverted/libEGL.so.1.0.0 by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libEGL.so.1.0.0 to /usr/lib/mesa-diverted/i386-linux-gnu/libEGL.so.1.0.0 by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libEGL.so.1.0.0 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libEGL.so.1.0.0 by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libEGL.so.1.0.0 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libEGL.so.1.0.0 by glx-diversions'
Adding 'diversion of /usr/lib/libGLESv1_CM.so to /usr/lib/mesa-diverted/libGLESv1_CM.so by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGLESv1_CM.so to /usr/lib/mesa-diverted/i386-linux-gnu/libGLESv1_CM.so by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGLESv1_CM.so to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGLESv1_CM.so by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libGLESv1_CM.so to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGLESv1_CM.so by glx-diversions'
Adding 'diversion of /usr/lib/libGLESv1_CM.so.1 to /usr/lib/mesa-diverted/libGLESv1_CM.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGLESv1_CM.so.1 to /usr/lib/mesa-diverted/i386-linux-gnu/libGLESv1_CM.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGLESv1_CM.so.1 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGLESv1_CM.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libGLESv1_CM.so.1 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGLESv1_CM.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/libGLESv1_CM.so.1.1.0 to /usr/lib/mesa-diverted/libGLESv1_CM.so.1.1.0 by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGLESv1_CM.so.1.1.0 to /usr/lib/mesa-diverted/i386-linux-gnu/libGLESv1_CM.so.1.1.0 by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGLESv1_CM.so.1.1.0 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGLESv1_CM.so.1.1.0 by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libGLESv1_CM.so.1.1.0 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGLESv1_CM.so.1.1.0 by glx-diversions'
Adding 'diversion of /usr/lib/libGLESv2.so to /usr/lib/mesa-diverted/libGLESv2.so by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGLESv2.so to /usr/lib/mesa-diverted/i386-linux-gnu/libGLESv2.so by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGLESv2.so to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGLESv2.so by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libGLESv2.so to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGLESv2.so by glx-diversions'
Adding 'diversion of /usr/lib/libGLESv2.so.2 to /usr/lib/mesa-diverted/libGLESv2.so.2 by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGLESv2.so.2 to /usr/lib/mesa-diverted/i386-linux-gnu/libGLESv2.so.2 by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGLESv2.so.2 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGLESv2.so.2 by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libGLESv2.so.2 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGLESv2.so.2 by glx-diversions'
Adding 'diversion of /usr/lib/libGLESv2.so.2.0.0 to /usr/lib/mesa-diverted/libGLESv2.so.2.0.0 by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGLESv2.so.2.0.0 to /usr/lib/mesa-diverted/i386-linux-gnu/libGLESv2.so.2.0.0 by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGLESv2.so.2.0.0 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGLESv2.so.2.0.0 by glx-diversions'
Adding 'diversion of /usr/lib/arm-linux-gnueabihf/libGLESv2.so.2.0.0 to /usr/lib/mesa-diverted/arm-linux-gnueabihf/libGLESv2.so.2.0.0 by glx-diversions'
Removing diverted 'libGL.so' symlink with unexpected target 'libGL.so.1.2.0'.
Restoring diverted 'libGL.so' symlink.
Setting up glx-alternative-mesa (0.5.1) ...
update-alternatives: updating alternative /usr/lib/mesa-diverted because link group glx has changed slave links
Processing triggers for shared-mime-info (1.3-1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Setting up libakonadi-kmime4 (4:4.14.2-2) ...
Setting up baloo-utils (4:4.14.2-1) ...
Setting up baloo4 (4:4.14.2-1) ...
Setting up libakonadi-kcal4 (4:4.14.2-2) ...
Setting up libakonadi-contact4 (4:4.14.2-2) ...
Setting up libkalarmcal2 (4:4.14.2-2) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Setting up openjdk-7-jdk:amd64 (7u71-2.5.3-2) ...
Setting up vim-tiny (2:7.4.488-2) ...
Setting up firefox-solydxk-adjustments (33.1.1) ...
Installing new version of config file /etc/skel/.mozilla/firefox/mwad0hks.default/prefs.js ...
Setting up imagemagick (8:6.8.9.9-3) ...
Setting up xscreensaver-data-extra (5.30-1+b1) ...
Setting up xscreensaver-screensaver-bsod (5.30-1+b1) ...
Setting up xscreensaver-gl-extra (5.30-1+b1) ...
Setting up xscreensaver (5.30-1+b1) ...
Setting up vlc-plugin-pulse (2.2.0~rc2-1) ...
Setting up phonon-backend-vlc:amd64 (0.8.0-2) ...
Processing triggers for libgdk-pixbuf2.0-0:amd64 (2.31.1-2+b1) ...
Setting up libmagickcore-6.q16-2-extra:amd64 (8:6.8.9.9-3) ...
Setting up libwmf-bin (0.2.8.4-10.3+b2) ...
Setting up perl-modules (5.20.1-3) ...
Setting up python3 (3.4.2-1) ...
running python rtupdate hooks for python3.4...
  File "/usr/lib/softwaremanager/remove.py", line 20
    except Exception, detail:
                    ^
SyntaxError: invalid syntax

  File "/usr/lib/softwaremanager/softwaremanager-args.py", line 31
    except Exception, detail:
                    ^
SyntaxError: invalid syntax

  File "/usr/lib/softwaremanager/frontend.py", line 86
    except Exception, detail:
                    ^
SyntaxError: invalid syntax

  File "/usr/lib/softwaremanager/softwaremanager.py", line 43
    print "The software manager should be run as root."
                                                      ^
SyntaxError: Missing parentheses in call to 'print'

  File "/usr/lib/softwaremanager/AptClient/test.py", line 16
    print "_on_progress:", progress, status
                        ^
SyntaxError: Missing parentheses in call to 'print'

  File "/usr/lib/softwaremanager/AptClient/AptClient.py", line 74
    print "Don't know what to do for task type : " + task_type
                                                 ^
SyntaxError: Missing parentheses in call to 'print'

  File "/usr/lib/softwaremanager/widgets/searchentry.py", line 149
    print terms
              ^
SyntaxError: Missing parentheses in call to 'print'

  File "/usr/lib/softwaremanager/widgets/imagedialog.py", line 52
    raise Url404Error, "404 %s" % url
                     ^
SyntaxError: invalid syntax

  File "/usr/lib/softwaremanager/widgets/wkwidget.py", line 149
    print "func1: ", arg1, arg2
                  ^
SyntaxError: Missing parentheses in call to 'print'

  File "/usr/lib/softwaremanager/widgets/animatedimage.py", line 58
    raise IOError, "no images for the animation found in '%s'" % icon
                 ^
SyntaxError: invalid syntax

  File "/usr/lib/softwaremanager/widgets/pathbar2.py", line 988
    print 'Error: No icon specified.'
                                    ^
SyntaxError: Missing parentheses in call to 'print'

  File "/usr/lib/softwaremanager/widgets/gbwidget.py", line 59
    print "on_button_clicked"
                            ^
SyntaxError: Missing parentheses in call to 'print'

  File "/usr/lib/softwaremanager/splash.py", line 11
    print os.getpid()
           ^
SyntaxError: invalid syntax

error running python rtupdate hook softwaremanager
dpkg: error processing package python3 (--configure):
 subprocess installed post-installation script returned error exit status 4
dpkg: dependency problems prevent configuration of dh-python:
 dh-python depends on python3:any (>= 3.3.2-2~); however:
  Package python3 is not configured yet.

dpkg: error processing package dh-python (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of printer-driver-foo2zjs-common:
 printer-driver-foo2zjs-common depends on python3; however:
  Package python3 is not configured yet.

dpkg: error processing package printer-driver-foo2zjs-common (--configure):
 dependency problems - leaving unconfigured
Setting up libcupsimage2:amd64 (1.7.5-7) ...
Setting up libgs9 (9.06~dfsg-1.1+b1) ...
Setting up ghostscript (9.06~dfsg-1.1+b1) ...
dpkg: dependency problems prevent configuration of printer-driver-foo2zjs:
 printer-driver-foo2zjs depends on printer-driver-foo2zjs-common (>= 20140925dfsg0-3); however:
  Package printer-driver-foo2zjs-common is not configured yet.

dpkg: error processing package printer-driver-foo2zjs (--configure):
 dependency problems - leaving unconfigured
Setting up libgtk-3-bin (3.14.4-2) ...
dpkg: dependency problems prevent configuration of printer-driver-pxljr:
 printer-driver-pxljr depends on python3; however:
  Package python3 is not configured yet.

dpkg: error processing package printer-driver-pxljr (--configure):
 dependency problems - leaving unconfigured
Setting up ghostscript-x (9.06~dfsg-1.1+b1) ...
Setting up cups-client (1.7.5-7) ...
dpkg: dependency problems prevent configuration of openprinting-ppds:
 openprinting-ppds depends on python3; however:
  Package python3 is not configured yet.

dpkg: error processing package openprinting-ppds (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-apt:
 python3-apt depends on python3 (>= 3.4~); however:
  Package python3 is not configured yet.
 python3-apt depends on python3 (<< 3.5); however:
  Package python3 is not configured yet.

dpkg: error processing package python3-apt (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-chardet:
 python3-chardet depends on python3; however:
  Package python3 is not configured yet.
 python3-chardet depends on python3:any (>= 3.3.2-2~); however:
  Package python3 is not configured yet.

dpkg: error processing package python3-chardet (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-debian:
 python3-debian depends on python3-chardet; however:
  Package python3-chardet is not configured yet.
 python3-debian depends on python3:any (>= 3.3.2-2~); however:
  Package python3 is not configured yet.

dpkg: error processing package python3-debian (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gdebi-core:
 gdebi-core depends on python3:any (>= 3.3.2-2~); however:
  Package python3 is not configured yet.
 gdebi-core depends on python3-apt; however:
  Package python3-apt is not configured yet.
 gdebi-core depends on python3-debian; however:
  Package python3-debian is not configured yet.

dpkg: error processing package gdebi-core (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of packagekit:
 packagekit depends on gdebi-core (>= 0.8.2); however:
  Package gdebi-core is not configured yet.

dpkg: error processing package packagekit (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of packagekit-tools:
 packagekit-tools depends on packagekit (= 1.0.1-1); however:
  Package packagekit is not configured yet.

dpkg: error processing package packagekit-tools (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gdebi-kde:
 gdebi-kde depends on python3:any (>= 3.3.2-2~); however:
  Package python3 is not configured yet.
 gdebi-kde depends on gdebi-core (= 0.9.5.5+nmu1); however:
  Package gdebi-core is not configured yet.

dpkg: error processing package gdebi-kde (--configure):
 dependency problems - leaving unconfigured
Setting up gimp (2.8.14-1+b1) ...
dpkg: dependency problems prevent configuration of python3-sip:
 python3-sip depends on python3 (>= 3.4~); however:
  Package python3 is not configured yet.
 python3-sip depends on python3 (<< 3.5); however:
  Package python3 is not configured yet.

dpkg: error processing package python3-sip (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of unattended-upgrades:
 unattended-upgrades depends on python3; however:
  Package python3 is not configured yet.
 unattended-upgrades depends on python3-apt; however:
  Package python3-apt is not configured yet.

dpkg: error processing package unattended-upgrades (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-aptdaemon:
 python3-aptdaemon depends on python3:any (>= 3.3.2-2~); however:
  Package python3 is not configured yet.
 python3-aptdaemon depends on python3-apt (>= 0.8.5~ubuntu1); however:
  Package python3-apt is not configured yet.

dpkg: error processing package python3-aptdaemon (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of aptdaemon:
 aptdaemon depends on python3:any (>= 3.2~); however:
  Package python3 is not configured yet.
 aptdaemon depends on python3; however:
  Package python3 is not configured yet.
 aptdaemon depends on python3-aptdaemon (= 1.1.1-4); however:
  Package python3-aptdaemon is not configured yet.

dpkg: error processing package aptdaemon (--configure):
 dependency problems - leaving unconfigured
Setting up perl (5.20.1-3) ...
Setting up apt-file (2.5.4) ...
Setting up libcpan-meta-perl (2.142690-1) ...
Setting up libcupsfilters1:amd64 (1.0.61-4) ...
Setting up cups-filters-core-drivers (1.0.61-4) ...
Setting up cups-filters (1.0.61-4) ...

Setting up adwaita-icon-theme (3.14.0-2) ...
Setting up libgtk-3-common (3.14.4-2) ...
Setting up libgtk-3-0:amd64 (3.14.4-2) ...
Setting up libreoffice-gtk3 (1:4.3.3-1) ...
Setting up gtk3-engines-oxygen:amd64 (1.4.1-1) ...
Setting up cups-core-drivers (1.7.5-7) ...
Setting up cups (1.7.5-7) ...
Updating PPD files for cups ...
Updating PPD files for foomatic-db ...
Updating PPD files for openprinting-ppds ...
Updating PPD files for hpcups ...
Updating PPD files for hpijs ...
Setting up kde-runtime-data (4:4.14.2-1) ...
Setting up kdelibs5-data (4:4.14.2-3) ...
Setting up kdelibs5-plugins (4:4.14.2-3) ...
Setting up kde-runtime (4:4.14.2-1) ...
Setting up libkateinterfaces4 (4:4.14.2-2) ...
Setting up kate (4:4.14.2-2) ...
Setting up libmailtransport4 (4:4.14.2-2) ...
Setting up libakonadi-calendar4 (4:4.14.2-2) ...
Setting up systemsettings (4:4.11.13-2) ...
Setting up kde-style-oxygen (4:4.11.13-2) ...
Setting up kde-window-manager (4:4.11.13-2) ...
Setting up kdepim-runtime (4:4.14.2-2) ...
Setting up plasma-dataengines-workspace (4:4.11.13-2) ...
Setting up plasma-widgets-workspace (4:4.11.13-2) ...
Setting up plasma-netbook (4:4.11.13-2) ...
Setting up plasma-desktop (4:4.11.13-2) ...
Setting up kde-workspace-bin (4:4.11.13-2) ...
Setting up ksysguard (4:4.11.13-2) ...
Setting up kdebase-runtime (4:4.14.2-1) ...
Setting up libgcr-ui-3-1:amd64 (3.14.0-2) ...
Setting up gcr (3.14.0-2) ...
Setting up gnome-keyring (3.14.0-1+b1) ...
Setting up libwebkitgtk-3.0-0:amd64 (2.4.7-2) ...
Setting up libdpkg-perl (1.17.21) ...
Setting up dpkg-dev (1.17.21) ...
Setting up vpnc (0.5.3r550-2) ...
Setting up ark (4:4.14.2-2) ...
Setting up bluedevil (2.0~rc1-44-gb7697a7-2) ...
Setting up clamtk (5.11-1) ...
Setting up printer-driver-cups-pdf (2.6.1-14) ...
Setting up cups-pdf (2.6.1-14) ...
Setting up kipi-plugins (4:4.4.0-1.1) ...
Setting up digikam (4:4.4.0-1.1) ...
Setting up dolphin (4:4.14.2-1) ...
Setting up gir1.2-gtk-3.0:amd64 (3.14.4-2) ...
Setting up gir1.2-webkit-3.0:amd64 (2.4.7-2) ...
Setting up libnautilus-extension1a (3.14.1-2) ...
Setting up gir1.2-nautilus-3.0 (3.14.1-2) ...
Setting up gwenview (4:4.14.2-1) ...
Setting up libimage-exiftool-perl (9.74-1) ...
Setting up hugin (2014.0.0+dfsg-3) ...
Setting up k3b (2.0.2-8) ...
Setting up kdepasswd (4:4.14.2-1) ...
Setting up kde-baseapps-bin (4:4.14.2-1) ...
Setting up libktpcommoninternalsprivate7 (0.8.1-3) ...
Setting up kde-telepathy-kpeople (0.8.1-3) ...
Setting up klipper (4:4.11.13-2) ...
Setting up kde-workspace (4:4.11.13-2) ...
Setting up kfind (4:4.14.2-1) ...
Setting up kgpg (4:4.14.2-1) ...
Setting up khelpcenter4 (4:4.14.2-1) ...
Setting up kinfocenter (4:4.11.13-2) ...
Setting up kio-audiocd (4:4.14.2-1) ...
Setting up kmenuedit (4:4.11.13-2) ...
Setting up konsole (4:4.14.2-1) ...
Setting up libktpmodelsprivate7 (0.8.1-3) ...
Setting up libktpwidgetsprivate7 (0.8.1-3) ...
Setting up krfb (4:4.14.2-1) ...
Setting up kscreensaver-xsavers (4:4.14.2-1) ...
Setting up kscreensaver (4:4.14.2-1) ...
Setting up ktorrent (4.3.1-2+b1) ...
Setting up libarchive-zip-perl (1.39-1) ...
Setting up libcgi-pm-perl (4.09-1) ...
Setting up libcgi-fast-perl (1:2.04-1) ...
Setting up libhtml-parser-perl (3.71-1+b3) ...
Setting up libimage-magick-q16-perl (8:6.8.9.9-3) ...
Setting up libimage-magick-perl (8:6.8.9.9-3) ...
Setting up libio-socket-ssl-perl (2.002-2) ...
Setting up libnet-dns-perl (0.81-2) ...
Setting up libsocket-perl (2.016-1) ...
Setting up libsoftware-license-perl (0.103010-3) ...
Setting up libsub-identify-perl (0.08-1) ...
Setting up libsub-name-perl (0.12-1) ...
Setting up libtext-levenshtein-perl (0.11-1) ...
Setting up libxml-twig-perl (1:3.48-1) ...
Setting up lightdm-gtk-greeter (1.8.5-2) ...
Setting up lightdm (1.10.3-3) ...

Configuration file '/etc/lightdm/lightdm.conf'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
 ==> Keeping old config file as default.
Installing new version of config file /etc/lightdm/users.conf ...
Installing new version of config file /etc/pam.d/lightdm ...
Setting up lintian (2.5.30+deb8u2) ...
Setting up notification-daemon (0.7.6-2) ...
Setting up plasma-widgets-addons (4:4.14.2-1) ...
Setting up plasma-scriptengine-superkaramba (4:4.14.2-1) ...
Setting up printer-driver-hpcups (3.14.6-1+b2) ...
Setting up system-config-printer (1.4.6-1) ...
Installing new version of config file /etc/xdg/autostart/print-applet.desktop ...
Setting up sgml-data (2.0.10) ...
Processing triggers for libc-bin (2.19-13) ...
Processing triggers for menu (2.1.47) ...
Processing triggers for ca-certificates (20141019) ...
Updating certificates in /etc/ssl/certs... 10 added, 5 removed; done.
Running hooks in /etc/ca-certificates/update.d....
Adding debian:DigiCert_Assured_ID_Root_G2.pem
Adding debian:DigiCert_Assured_ID_Root_G3.pem
Adding debian:DigiCert_Global_Root_G2.pem
Adding debian:DigiCert_Global_Root_G3.pem
Adding debian:DigiCert_Trusted_Root_G4.pem
Adding debian:QuoVadis_Root_CA_1_G3.pem
Adding debian:QuoVadis_Root_CA_2_G3.pem
Adding debian:QuoVadis_Root_CA_3_G3.pem
Adding debian:WoSign_China.pem
Adding debian:WoSign.pem
Removing debian:Entrust.net_Secure_Server_CA.pem
Removing debian:RSA_Root_Certificate_1.pem
Removing debian:TDC_Internet_Root_CA.pem
Removing debian:ValiCert_Class_1_VA.pem
Removing debian:ValiCert_Class_2_VA.pem
done.
done.
Processing triggers for dictionaries-common (1.23.16) ...
aspell-autobuildhash: processing: en [en-common].
aspell-autobuildhash: processing: en [en-variant_0].
aspell-autobuildhash: processing: en [en-variant_1].
aspell-autobuildhash: processing: en [en-variant_2].
aspell-autobuildhash: processing: en [en-w_accents-only].
aspell-autobuildhash: processing: en [en-wo_accents-only].
aspell-autobuildhash: processing: en [en_CA-variant_0].
aspell-autobuildhash: processing: en [en_CA-variant_1].
aspell-autobuildhash: processing: en [en_CA-w_accents-only].
aspell-autobuildhash: processing: en [en_CA-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-ise-w_accents-only].
aspell-autobuildhash: processing: en [en_GB-ise-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-ize-w_accents-only].
aspell-autobuildhash: processing: en [en_GB-ize-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-variant_0].
aspell-autobuildhash: processing: en [en_GB-variant_1].
aspell-autobuildhash: processing: en [en_US-w_accents-only].
aspell-autobuildhash: processing: en [en_US-wo_accents-only].
Processing triggers for initramfs-tools (0.116) ...
update-initramfs: Generating /boot/initrd.img-3.16.0-4-amd64
Processing triggers for dbus (1.8.12-1) ...
Errors were encountered while processing:
 python3
 dh-python
 printer-driver-foo2zjs-common
 printer-driver-foo2zjs
 printer-driver-pxljr
 openprinting-ppds
 python3-apt
 python3-chardet
 python3-debian
 gdebi-core
 packagekit
 packagekit-tools
 gdebi-kde
 python3-sip
 unattended-upgrades
 python3-aptdaemon
 aptdaemon
E: Sub-process /usr/bin/dpkg returned an error code (1)
If you look up enough, you'll see there were some dependency problems as well. Since this took about half a day to get even this far, I won't be able to test the ISO thing because I am unable to update as needed. Also I probably won't be able to do another test of this today (it would mean staying up too late at night before it would finish). I'll have to try again tomorrow if there's any suggestions between now and then on how to proceed.

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: HE to Jessie upgrade

Postby Schoelje » 01 Dec 2014 21:33

Purge softwaremanager:

Code: Select all

sudo apt purge softwaremanager

and run

Code: Select all

sudo apt-get -f install
sudo apt dist-upgrade


SolydXK needs you!
Development | Testing | Translations | Todo list

RavenLX

Re: HE to Jessie upgrade

Postby RavenLX » 01 Dec 2014 22:19

I've deleted the machine. It would have been unbootable anyway. Didn't expect a reply so soon which is why I shut down the machine! :oops: I'll have to try again tomorrow because like I said, the process takes hours to download and install everything. I'll post my results tomorrow.

Since I'm starting from scratch tomorrow, should I purge the software manager before I do a dist-upgrade in the first place?

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: HE to Jessie upgrade

Postby Schoelje » 02 Dec 2014 06:15

RavenLX wrote:Since I'm starting from scratch tomorrow, should I purge the software manager before I do a dist-upgrade in the first place?
It wouldn't harm if you would. Let me know if you have purged solydxk-softwaremanager or softwaremanager (there were issues with the latter).


SolydXK needs you!
Development | Testing | Translations | Todo list

RavenLX

Re: HE to Jessie upgrade

Postby RavenLX » 02 Dec 2014 13:07

Luckily you caught me before I got started. :) I'll purge the softwaremanager (not the solydxk-softwaremanager). I'm going to work on that starting this morning.

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: HE to Jessie upgrade

Postby Schoelje » 02 Dec 2014 13:21

RavenLX wrote:Luckily you caught me before I got started. :) I'll purge the softwaremanager (not the solydxk-softwaremanager). I'm going to work on that starting this morning.
Contact grizzler about this. He's been working on SolydX32.


SolydXK needs you!
Development | Testing | Translations | Todo list

RavenLX

Re: HE to Jessie upgrade

Postby RavenLX » 02 Dec 2014 13:56

Done. I referred him to this thread as well.

What I'm doing today:

Before upgrade to HE Jessie, first be sure the present system is up to
date with the current repo (not the repo in the thread).

Code: Select all

sudo apt-get update
sudo apt-get dist-upgrade
reboot

BEFORE starting the update of HE to Jessie:

Code: Select all

sudo apt purge softwaremanager
Follow instructions on upgraded to HE (change the sources.list now AFTER doing the dist-upgrade above).

This way I figure having an updated system to begin with using the current (not new) sources.list would help. This is also something I did not do before.

I'll be back later today after the process finishes (or gets as far as it can go).

RavenLX

Re: HE to Jessie upgrade

Postby RavenLX » 02 Dec 2014 14:25

It looks like it'll update initrd.img... after the preinstall so I'm going to reboot at that point BEFORE continuing with the dist-upgrade. Might want to note that in the instructions IF this works out ok? It might rely on the new stuff running?

User avatar
smitty1
Posts: 222
Joined: 23 Jun 2013 13:50
Location: Pittsburgh, PA USA

Re: HE to Jessie upgrade

Postby smitty1 » 02 Dec 2014 17:25

I tried this this morning and hit several problems. I had removed softwaremanager previously.
When doing the preinstall:

Code: Select all

serious bugs of plymouth (0.8.8-17 → 0.9.0-9) <Outstanding>
 b1 - #766462 - with plymouth installed, and both GDM and KDM enabled, I don't
get any gettys on my VCs
Summary:
 plymouth(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] y

Since this didn't appear to affect this install I went ahead. The process ended with an error.

Code: Select all

Unpacking solydx-system-adjustments (2.0.0) ...
dpkg: error processing archive
/var/cache/apt/archives/solydx-system-adjustments_2.0.0_all.deb (--unpack):
 trying to overwrite '/usr/share/sounds/logout.wav', which is also in package
solydk-artwork 1.0.7
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/solydx-system-adjustments_2.0.0_all.deb

I ran sudo apt-get install -f which allows it to complete, but I do not see a mention of solydx-system-adjustments or logout.wav in the output.

Code: Select all

sudo apt-get install -f
0 upgraded, 0 newly installed, 0 to remove and 1118 not upgraded.
22 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up libgdk-pixbuf2.0-common (2.31.1-2) ...
Setting up libjpeg62-turbo:amd64 (1:1.3.1-11) ...
Setting up libjpeg62-turbo:i386 (1:1.3.1-11) ...
Setting up libgdk-pixbuf2.0-0:amd64 (2.31.1-2+b1) ...
Setting up libgphoto2-6:amd64 (2.5.4-1.1+b2) ...
Setting up libgphoto2-6:i386 (2.5.4-1.1+b2) ...
Setting up libjpeg9:amd64 (1:9a-2) ...
Setting up libmng1:amd64 (1.0.10+dfsg-3.1+b2) ...
Setting up libopenraw1:amd64 (0.0.9-3.5+b2) ...
Setting up libpano13-3:amd64 (2.9.19+dfsg-1+b2) ...
Setting up libsdl-image1.2:amd64 (1.2.12-5+b5) ...
Setting up libvncclient0:amd64 (0.9.9+dfsg-6+b2) ...
Setting up plymouth (0.9.0-9) ...

Configuration file '/etc/plymouth/plymouthd.conf'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : start a shell to examine the situation
 The default action is to keep your current version.
*** plymouthd.conf (Y/I/N/O/D/Z) [default=N] ?
update-initramfs: deferring update (trigger activated)
update-rc.d: warning: start and stop actions are no longer supported; falling
back to defaults
update-rc.d: warning: start and stop actions are no longer supported; falling
back to defaults
Setting up evolvere-icon-theme (1.1.9) ...
Setting up libimlib2 (1.4.6-2+b3) ...
Setting up libjpeg-progs (1:9a-2) ...
Setting up libnetpbm10 (2:10.0-15.2) ...
Setting up libspandsp2:amd64 (0.0.6-2+b2) ...
Setting up netpbm (2:10.0-15.2) ...
Setting up plymouth-themes (0.9.0-9) ...
update-initramfs: deferring update (trigger activated)
Setting up plymouth-x11 (0.9.0-9) ...
update-initramfs: deferring update (trigger activated)
Setting up dcraw (9.21-0.2+b2) ...
Processing triggers for libc-bin (2.19-11) ...
Processing triggers for initramfs-tools (0.116) ...
update-initramfs: Generating /boot/initrd.img-3.16.0-4-amd64
jim@k64:~$

But then the next step hit a lot of bugs

Code: Select all

jim@k64:~$ sudo apt dist-upgrade --assume-yes -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold --force-yes
.....
Summary:
 libc6(1 bug), libc6:i386(1 bug), libuuid1(1 bug), libuuid1:i386(1 bug),
systemd(5 bugs), libgstreamer-plugins-base1.0-0(1 bug), dpkg(2 bugs), ruby2.1(1
bug), libapt-pkg4.12(1 bug), libpoppler-glib8(1 bug), wine(1 bug), anacron(1
bug), bluedevil(2 bugs), cryptsetup(1 bug), grub-pc(1 bug), grub-pc-bin(1 bug),
xscreensaver(1 bug), lintian(1 bug), network-manager(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...]

I count 25 bugs in there so that is where I quit.
my info

Code: Select all

jim@k64:apt$ inxi
System:    Host: k64 Kernel: 3.16-2-amd64 x86_64 (64 bit gcc: 4.8.3)
           Desktop: KDE 4.14.1 (Qt 4.8.6) info: plasma-desktop dm: lightdm Distro: SolydXK 1 solydxk
Machine:   System: Hewlett-Packard product: HP G42 Notebook PC v: 0593110002242710010020100 Chassis: type: 10
           Mobo: Hewlett-Packard model: 1444 v: 69.37 Bios: Hewlett-Packard v: F.29 date: 04/07/2011
CPU:       Dual core AMD Turion II P540 (-MCP-) cache: 2048 KB flags: (lm nx sse sse2 sse3 sse4a svm) bmips: 9575
           Clock Speeds: 1: 1900 MHz 2: 1500 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] RS880M [Mobility Radeon HD 4225/4250]
           bus-ID: 01:05.0 chip-ID: 1002:9712
           Display Server: X.Org 1.16.1 drivers: ati,radeon (unloaded: fbdev,vesa) Resolution: 1366x768@60.03hz
           GLX Renderer: Gallium 0.4 on AMD RS880 GLX Version: 3.0 Mesa 10.2.6 Direct Rendering: Yes
Audio:     Card-1 Advanced Micro Devices [AMD/ATI] RS880 HDMI Audio [Radeon HD 4200 Series]
           driver: snd_hda_intel bus-ID: 01:05.1 chip-ID: 1002:970f
           Card-2 Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA)
           driver: snd_hda_intel bus-ID: 00:14.2 chip-ID: 1002:4383
           Sound: Advanced Linux Sound Architecture v: k3.16-2-amd64
Network:   Card-1: Realtek RTL8101E/RTL8102E PCI Express Fast Ethernet controller
           driver: r8169 v: 2.3LK-NAPI port: 2000 bus-ID: 03:00.0 chip-ID: 10ec:8136
           IF: eth0 state: down mac: 3c:4a:92:5a:60:32
           Card-2: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express)
           driver: ath9k bus-ID: 02:00.0 chip-ID: 168c:002b
           IF: wlan0 state: up mac: 4c:0f:6e:6a:4a:8f
Drives:    HDD Total Size: 320.1GB (11.8% used) ID-1: /dev/sda model: ST9320325AS size: 320.1GB serial: 5VD61MZS
Partition: ID-1: / size: 20G used: 12G (65%) fs: ext4 dev: /dev/sda3
Sensors:   System Temperatures: cpu: 59.4C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Repos:   deb http://repository.solydxk.com/ solydxk main upstream import
            deb http://ftp.debian.org/debian jessie main contrib non-free
            deb http://security.debian.org/ jessie/updates main contrib non-free
            deb http://ftp.debian.org/debian/ jessie-backports main contrib non-free
Info:      Processes: 167 Uptime: 3:40 Memory: 1451.9/7747.4MB
           Init: systemd v: 208 runlevel: 5 default: 2 Gcc sys: 4.9.1 alt: 4.4/4.6/4.7/4.8
           Client: Shell (bash 4.3.251 running in konsole) inxi: 2.1.28

No Good Deed Goes Unpunished

RavenLX

Re: HE to Jessie upgrade

Postby RavenLX » 02 Dec 2014 17:41

Sucess! Everything went smoothly. I followed my plan as I mentioned above and was able to upgrade. Now I have to do another clone and see if I can get VirtualBox Guest Additions working (on the cloned image, not the original). If so, then I can do the VB GA on the original and export/back it up. Then I'll be ready to try again with the ISO (on another clone from that).

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: HE to Jessie upgrade

Postby Schoelje » 02 Dec 2014 18:14

@smitty1
I'm afraid you didn't follow the steps as mentioned in this topic's OP.
Especially the part to preinstall some packages before you run dist-upgrade is important for both SolydK and SolydX.


SolydXK needs you!
Development | Testing | Translations | Todo list

RavenLX

Re: HE to Jessie upgrade

Postby RavenLX » 02 Dec 2014 19:25

Update: You don't need to install VirtualBox guest additions. It seems like it's already installed and working by default. I use the Guest Additions because I need shared folder support. It worked out ok. I did install the guest additions way back when I first created the VM (before the upgrade) and it upgraded ok.

User avatar
wildman
Posts: 208
Joined: 12 Feb 2014 23:31
Location: Kentucky, USA

Re: HE to Jessie upgrade

Postby wildman » 03 Dec 2014 04:17

I did the upgrade on a fresh install of SolydX 201411 in VMware. First I ran this:

Code: Select all

sudo apt-get update
sudo apt-get dist-upgrade
Next I changed the sources in sources.list to the ones posted by Schoelje and ran this:

Code: Select all

sudo apt update
Next I ran these commands:

Code: Select all

sudo apt install --assume-yes -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold --force-yes solydk-system-adjustments libjpeg62-turbo plymouth-themes

sudo apt dist-upgrade --assume-yes -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold --force-yes

sudo apt install solydxk-mozilla-evolvere-icon-theme

configure-theme
Everything is running just fine. BTW I did not do a reboot afer the pre-install. I actually forgot about it but it seems that it was not necessary. The only errors I saw in the terminal output was a couple of Mr. Pixbuf's. :lol: However, I did get the same error as RavenXL:

Code: Select all

Error: Sub-process /usr/bin/dpkg returned an error code (1)


Attached is apt history. I also tried to attach dpkg.log but it would not work. Maybe it is too big, 865kB. So I put on it Dropbox for download:
https://www.dropbox.com/s/3zypj0n3ggvyud8/dpkg.log?dl=0
Attachments
history.log
(46.63 KiB) Downloaded 66 times
Wildman
May the Source be with you.

User avatar
grizzler
Posts: 1764
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: HE to Jessie upgrade

Postby grizzler » 13 Dec 2014 21:29

The first posting of this thread mentions installing libjpeg62-turbo (among others) as one of the first steps.

I've been trying to find an easy way around this libjpeg/libjpeg-turbo mess (and failing miserably, so far...:( ) because it's blocking an increasing number of security updates. During my experiments I noticed that installling libjpeg62-turbo can cause libjpeg-turbo-progs to be removed in favour of libjpeg-progs, which would seem to be undesirable as the turbo variant appears to have more functionality.
In my experience, specifying libjpeg-turbo-progs as the item to install prevents this and will still ensure libjpeg62-turbo is installed.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Schoelje
Site Admin
Posts: 8176
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: HE to Jessie upgrade

Postby Schoelje » 14 Dec 2014 09:39

Thanks! I've added libjpeg-turbo-progs to the pre-install command in the OP.


SolydXK needs you!
Development | Testing | Translations | Todo list

User avatar
timber
Posts: 539
Joined: 11 Aug 2013 21:01
Location: Pacific Northwest

Re: HE to Jessie upgrade

Postby timber » 17 Dec 2014 09:48

SolydK-HE to Jessie upgrade went very smoothly following OP instructions.
Did get an nvidia warning toward the end of the upgrade so I ran nvidia-xconfig for good measure ... not sure if I needed to or not. (Might be something to consider for UM).

Upgrade was a BIG one, even though previous repositories were Solydxk testing.
But as noted, all went smoothly.

Thanks for making the upgrade painless.

Dave

p.s. This was done on metal ... not in VB.

UPDATE: No problems encountered as of Dec 22, 2014 ... Working great!
timber

Samsung R580-M430 @ 2.27GHz - 8 GB RAM
Geforce 310M w/ nvidia-driver
SolydX/SolydM - Kernel 3.14-2-amd64 - Update Pack: 2014.07.15
SolydK - Kernel 3.14-2-amd64 - Update Pack: 2014.07.15
SolydKBE - Kernel 3.2.0-4-amd64 - LTS Update Pack: 2014.07.15

User avatar
ulusu
Posts: 82
Joined: 12 Nov 2013 23:06
Location: Dreiländereck (Germany, Luxemburg and France)

Re: HE to Jessie upgrade

Postby ulusu » 22 Dec 2014 21:35

Just ran those upgrades on my production SolydK and SolydX 64bit.

With SolydK I had an issue because I had systemd starting from the kernel line in /etc/default/grub and at the first boot the system hanged. After booting into an older kernel I edited /etc/default/grub and off it went.

Both systems are running without any problems.

Regards,
ulusu

Mac OS X Mavericks, Kubuntu 14.04 LTS, SolydK64_201407, Windows 7 Ultimate, Windows 8.1 pro


Return to “News & Anouncements”

Who is online

Users browsing this forum: No registered users and 0 guests